wconsd - Bug #16

Extra line is seen after every enter
2008-04-17 22:42 - Hamish

Status: Closed Start date: 2008-04-17
Priority: Normal Due date: 2008-04-30
Assignee: Hamish % Done: 100%
Category: Estimated time: 4.00 hours
Target version: 0.2

Description

pressing enter appears to be interpreted by the serial device as two enters.

Related issues:
Blocks Feature #23: Support "send break" sequence Closed 2008-04-18
Blocks Bug #20: cannot return to menu Closed 2008-04-18

Associated revisions

Revision 3eb633b1 - 2008-04-21 18:45 - Hamish Coleman

Add telnet processing to serial-data-pump. Add ability to exit back to menu.
There is still a lot of cleanup work remaining from here. We do not need the
menu thread, we should run the menu from the net_to_com thread, however it
appears to meet the requirements. closes #16, #20

History

#1 - 2008-04-20 23:35 - Hamish
- % Done changed from 0 to 20

This is due to the telnet end of line processing - Telnet specifies that end of line will either be CR LF or CR NUL, thus what we are seeing here
appears to be the NUL character being interpreted by the serial device.

#2 - 2008-04-20 23:49 - Hamish
- Assignee set to Hamish

- Estimated time set to 4.00 h

#3 - 2008-04-20 23:50 - Hamish
- Due date set to 2008-04-30

#4 - 2008-04-20 23:52 - Hamish

Implementing this will require a cooked data processing mode - thus allowing telnet option processing in serial-data-pump mode and therefore send
break support

#5 - 2008-04-21 18:46 - Hamish
- Status changed from New to Closed

- % Done changed from 20 to 100
